<!DOCTYPE html>
<html xmlns:th="http://www.thymeleaf.org">
<head>
<link rel="stylesheet"
	href="https://maxcdn.bootstrapcdn.com/bootstrap/3.3.7/css/bootstrap.min.css"
	integrity="sha384-BVYiiSIFeK1dGmJRAkycuHAHRg32OmUcww7on3RYdg4Va+PmSTsz/K68vbdEjh4u"
	crossorigin="anonymous">
<meta charset="ISO-8859-1">
<title>Superheroes List</title>
</head>
<body>
	<div class="container" th:switch="${superheroes}">
		<div class="row">
			<h2 th:case="null">No Superheroes yet!</h2>
			<div class="col-lg-10 mt-5 mb-5" th:case="*">
				<h2>Superheroes</h2>
		    	<p><a href="/superheroes/create" class="btn btn-primary">Add a new Superheroe</a></p>
				<table class="table table-bordered" style="width: 100%">
					<thead>
						<tr>
							<th>Name</th>
							<th>Force</th>
							<th>Energy</th>
							<th>Velocity</th>
							<th>Resistance</th>
							<th>Edit</th>
							<th>Delete</th>
						</tr>
					</thead>
					<tbody>
						<tr th:each="heroe : ${superheroes}">
							<td th:text="${heroe.name}"></td>
							<td th:text="${heroe.force}"></td>
							<td th:text="${heroe.energy}"></td>
							<td th:text="${heroe.velocity}"></td>
							<td th:text="${heroe.resistance}"></td>
							<td><a th:href="@{/superheroes/edit/{id}(id=${heroe.id})}" class="btn btn-primary">Edit</a></td>
							<td><a th:href="@{/superheroes/delete/{id}(id=${heroe.id})}" class="btn btn-primary">Delete</a></td>
						</tr>
					</tbody>
				</table>
			</div>
		</div>
	</div>
</body>
</html>